List account level exemptions
GET /va/api/v4/exempt/image
List the exemptions that are specified with account level scope.
Request
Path Parameters
Query Parameters
Response
200 - OK
400 -
401 -
403 -
500 -
502 -
503 -
Get an account level exemption
GET /va/api/v4/exempt/image/issue/{issueType}/{issueID}
Get details of an exemption that is specified with account level scope.
Request
Path Parameters
issueType
Required *
string
Exemption type, e.g. 'cve' or 'sn' or 'configuration'. See /va/api/v4/exempt/types for more details.
issueID
Required *
string
Exemption ID, e.g. 'CVE-2018-9999'. See /va/api/v4/exempt/types for more details.
Query Parameters
Response
200 - OK
account_id
string
The unique ID for the IBM Cloud account for this policy
issue_id
string
ID of issue being exempted
issue_type
string
Type of issue being exempted
scope
ExemptionScope
Details of the level of IBM Cloud Registry resource the exemption applies to
400 -
401 -
403 -
500 -
502 -
503 -
Create or update an account level exemption
POST /va/api/v4/exempt/image/issue/{issueType}/{issueID}
Create or update an exemption that is specified with account level scope.
Request
Path Parameters
issueType
Required *
string
Exemption type, e.g. 'cve' or 'sn' or 'configuration'. See /va/api/v4/exempt/types for more details.
issueID
Required *
string
Exemption ID, e.g. 'CVE-2018-9999'. See /va/api/v4/exempt/types for more details.
Query Parameters
Response
201 - Created
account_id
string
The unique ID for the IBM Cloud account for this policy
issue_id
string
ID of issue being exempted
issue_type
string
Type of issue being exempted
scope
ExemptionScope
Details of the level of IBM Cloud Registry resource the exemption applies to
400 -
401 -
403 -
500 -
502 -
503 -
Delete an account level exemption
DELETE /va/api/v4/exempt/image/issue/{issueType}/{issueID}
Delete an exemption that is specified with account level scope.
Request
Path Parameters
issueType
Required *
string
Exemption type, e.g. 'cve' or 'sn' or 'configuration'. See /va/api/v4/exempt/types for more details.
issueID
Required *
string
Exemption ID, e.g. 'CVE-2018-9999'. See /va/api/v4/exempt/types for more details.
Query Parameters
Response
200 - OK
400 -
401 -
403 -
404 - Exemption not found.
code
string
message
string
request-id
string
500 -
502 -
503 -
List resource exemptions
GET /va/api/v4/exempt/image/{resource}
List the exemptions that are specified for a resource (account, registry namespace, repository, or image).
Request
Path Parameters
resource
Required *
string
IBM Cloud Registry resource (namespace, namespace/repository, namespace/repository:tag, or namespace/repository@sha256:hash)
Query Parameters
Response
200 - OK
400 -
401 -
403 -
500 -
502 -
503 -
Get details of a resource exemption
GET /va/api/v4/exempt/image/{resource}/issue/{issueType}/{issueID}
Get an exemption that is specified for a resource (account, registry namespace, repository, or image).
Request
Path Parameters
resource
Required *
string
IBM Cloud Registry resource (namespace, namespace/repository, namespace/repository:tag, or namespace/repository@sha256:hash)
issueType
Required *
string
Exemption type, e.g. 'cve' or 'sn' or 'configuration'. See /va/api/v4/exempt/types for more details.
issueID
Required *
string
Exemption ID, e.g. 'CVE-2018-9999'. See /va/api/v4/exempt/types for more details.
Query Parameters
Response
200 - OK
account_id
string
The unique ID for the IBM Cloud account for this policy
issue_id
string
ID of issue being exempted
issue_type
string
Type of issue being exempted
scope
ExemptionScope
Details of the level of IBM Cloud Registry resource the exemption applies to
400 -
401 -
403 -
500 -
502 -
503 -
Create or update a resource exemption
POST /va/api/v4/exempt/image/{resource}/issue/{issueType}/{issueID}
Create or update an exemption that is specified for a resource (account, registry namespace, repository, or image).
Request
Path Parameters
resource
Required *
string
IBM Cloud Registry resource (namespace, namespace/repository, namespace/repository:tag, or namespace/repository@sha256:hash)
issueType
Required *
string
Exemption type, e.g. 'cve' or 'sn' or 'configuration'. See /va/api/v4/exempt/types for more details.
issueID
Required *
string
Exemption ID, e.g. 'CVE-2018-9999'. See /va/api/v4/exempt/types for more details.
Query Parameters
Response
201 - Created
account_id
string
The unique ID for the IBM Cloud account for this policy
issue_id
string
ID of issue being exempted
issue_type
string
Type of issue being exempted
scope
ExemptionScope
Details of the level of IBM Cloud Registry resource the exemption applies to
400 -
401 -
403 -
500 -
502 -
503 -
Delete a resource exemption
DELETE /va/api/v4/exempt/image/{resource}/issue/{issueType}/{issueID}
Delete an exemption that is specified for a resource (account, registry namespace, repository, or image).
Request
Path Parameters
resource
Required *
string
IBM Cloud Registry resource (namespace, namespace/repository, namespace/repository:tag, or namespace/repository@sha256:hash)
issueType
Required *
string
Exemption type, e.g. 'cve' or 'sn' or 'configuration'. See /va/api/v4/exempt/types for more details.
issueID
Required *
string
Exemption ID, e.g. 'CVE-2018-9999'. See /va/api/v4/exempt/types for more details.
Query Parameters
Response
200 - OK
400 -
401 -
403 -
404 - Exemption not found.
code
string
message
string
request-id
string
500 -
502 -
503 -
List the types of exemption
GET /va/api/v4/exempt/types
List the types of exemption.
Request
Path Parameters
Query Parameters
Response
200 - OK
400 -
401 -
403 -
500 -
502 -
503 -
List all exemptions
GET /va/api/v4/exemptions/account
List all of the exemptions in the given account.
Request
Path Parameters
Query Parameters
Response
200 - OK
400 -
401 -
403 -
500 -
502 -
503 -
Delete all exemptions
POST /va/api/v4/exemptions/deleteAll
Delete all of the exemptions in the given account.
Request
Path Parameters
Query Parameters
Response
200 - OK
number_of_exemptions_deleted
integer
400 -
401 -
403 -
500 -
502 -
503 -
List image exemptions
GET /va/api/v4/exemptions/image/{resource}
List all of the exemptions for an image.
Request
Path Parameters
resource
Required *
string
IBM Cloud Registry resource (namespace, namespace/repository, namespace/repository:tag, or namespace/repository@sha256:hash)
Query Parameters
includeScope
boolean
Include scope on returned exemptions
Response
200 - OK. If the includeScope query parameter is set to true this endpoint will return a list of exemptions that have an additional field 'scope' that describes the level at which the exemption is set (namespace, repository, tag)
400 -
401 -
403 -
500 -
502 -
503 -
List exemptions for images
POST /va/api/v4/exemptions/images
List the exemptions for the given list of images.
Request
Request Body
List of images
Path Parameters
Query Parameters
Response
200 - OK
400 -
401 -
403 -
500 -
502 -
503 -
Get the vulnerability assessment for all images
GET /va/api/v4/report/account
Get the vulnerability assessment for the list of registry images that belong to a specific account.
Request
Path Parameters
Query Parameters
repository
string
The name of the repository that you want to see image vulnerability assessments for. For example, us.icr.io/namespace/image.
includeIBM
string
When set to true, the returned list contains IBM public images and the account images. If not set, or set to false, the list contains only the account images.
includePrivate
string
When set to false, the returned list does not contain the private account images. If not set, or set to true, the list contains the private account images.
Response
200 - The returned list might contain unscanned results for images in your account that haven't yet been scanned. Try again later. If this issue persists, contact support for help; see https://cloud.ibm.com/docs/get-support?topic=get-support-using-avatar
assessments
object
A dictionary of image names as key and report.Report object as value
400 -
401 -
403 -
500 -
502 -
503 -
Get vulnerability assessment status for all images
GET /va/api/v4/report/account/status
Get the vulnerability assessment status for the list of registry images that belong to a specific account.
Request
Path Parameters
Query Parameters
repository
string
The name of the repository that you want to see image vulnerability assessments for. For example, us.icr.io/namespace/image.
includeIBM
string
When set to true, the returned list contains IBM public images and the account images. If not set, or set to false, the list contains only the account images.
includePrivate
string
When set to false, the returned list does not contain the private account images. If not set, or set to true, the list contains the private account images.
Response
200 - The returned list might contain unscanned results for images in your account that haven't yet been scanned. Try again later. If this issue persists, contact support for help; see https://cloud.ibm.com/docs/get-support?topic=get-support-using-avatar
images
array
List of image summaries.
400 -
401 -
403 -
500 -
502 -
503 -
Get vulnerability assessment
GET /va/api/v4/report/image/{name}
Get the vulnerability assessment for a registry image.
Request
Path Parameters
name
Required *
string
The name of the image. For example, us.icr.io/namespace/repository:tag
Query Parameters
Response
200 - OK
configuration_issues
array
Not supported, will always be empty
id
string
The unique ID of the report.
os_distribution
object
The primary operating system distribution identified in the container image
scan_time
integer
The last time that the vulnerability data source was checked for vulnerabilities as a UNIX timestamp
status
string
Overall vulnerability assessment status: OK, WARN, FAIL, UNSUPPORTED, INCOMPLETE, UNSCANNED. For more information about these status codes, see https://cloud.ibm.com/apidocs/vulnerability-advisor#vulnerability-report-status-codes
vulnerabilities
array
Vulnerabilities found in the container image at the scan time
400 -
401 -
403 -
404 - Your image hasn't been scanned yet. Try again later. If this issue persists, contact support for help; see https://cloud.ibm.com/docs/get-support?topic=get-support-using-avatar
code
string
message
string
request-id
string
500 -
502 -
503 -
Get vulnerability assessment status
GET /va/api/v4/report/image/status/{name}
Get the overall vulnerability status for a registry image.
Request
Path Parameters
name
Required *
string
The name of the image. For example, us.icr.io/namespace/repository:tag.
Query Parameters
Response
200 - OK
configuration_issue_count
integer
Not supported, this will always be zero
exempt_configuration_issue_count
integer
Not supported, this will always be zero
exempt_issue_count
integer
The number of exempt issues found
exempt_vulnerability_count
integer
The number of exempt vulnerability issues found
issue_count
integer
The number of issues found
scan_time
integer
The last time that the vulnerability data source was checked for vulnerabilities as a UNIX timestamp
status
string
Overall vulnerability assessment status: OK, WARN, FAIL, UNSUPPORTED, INCOMPLETE, UNSCANNED. For more information about these status codes, see https://cloud.ibm.com/apidocs/vulnerability-advisor#vulnerability-report-status-codes
vulnerability_count
integer
The number of vulnerability issues found
400 -
401 -
403 -
404 - Your image hasn't been scanned yet. Try again later. If this issue persists, contact support for help; see https://cloud.ibm.com/docs/get-support?topic=get-support-using-avatar
code
string
message
string
request-id
string